setwd("C:/Users/FSEG/Desktop/panel_es")
load("panel_ech.RData")

tab <- subset(panel,profil==11111)
tab <- transform(tab,logY=log(Y),logC=log(C),logL=log(L),LY=log(Y/L),
                 LC=log(C/L))
summary(tab)

#between
liste=c("logY","logC","logL","LY","LC")
between <- aggregate(tab[,liste],list(tab$i),mean)
attach(between)
plot(LC,LY)
estim <- lm(LY~LC)
summary(estim)
abline(estim,col="blue")
cor(between[,liste])
detach(between)
install.packages("Hmisc")
library("Hmisc")# à vérifier
#variance between
nind <- nrow(between)
var(between[,liste])
Sbet <- (nind-1)*var(between[,liste])
Sbet
#variance totale
var(tab[,liste])
ntot <- nrow(tab)
Stot <- (ntot-1)*var(tab[,liste])
# decomposition
Sb <- 5*diag(Sbet)
St <- diag(Stot)
Sw <- St-Sb
Pw <- Sw/St

within <- merge(tab,between,by.x="i",by.y="Group.1")
attach(within)
within$LY <- LY.x-LY.y
within$LC <- LC.x-LC.y
within$logL <- logL.x-logL.y
detach(within)
attach(within)
plot(LC,LY)
regw <- lm(LY~LC+logL,data=within)
summary(regw)
abline(regw,col="green")
regw <- lm(LY~LC+logL-1,data=within)
bw <- coef(regw)
detach(within)
By <- matrix(between$LY,ncol=1)
Bx <- as.matrix(between[,c("LC","logL")],ncol=2)
bw <- matrix(coef(regw),ncol=1)
alpha <- By-Bx %*% bw
plot(density(alpha))
alphac <- alpha-mean(alpha)
plot(density(alphac),main="Hétérogénéité")
abline(v=0,col="orange")
